<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Predefined Resources Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-core.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-viewer.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsx.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-xlsxAdv.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-pdf.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-tabular-data.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-html.js"></script>
<script src="https://cdn.mescius.com/activereportsjs/6.latest/dist/ar-js-designer.js"></script>
<script src="$DEMOROOT$/lib/purejs/license.js"></script>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-ui.css"
/>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-viewer.css"
/>
<link
rel="stylesheet"
type="text/css"
href="https://cdn.mescius.com/activereportsjs/6.latest/styles/ar-js-designer.css"
/>
<style>
@import url("https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css");
body {
margin: 0;
}
#designer-host,
#viewer-host {
width: 100%;
height: 550px;
}
#viewer-host {
position: absolute;
top: 0;
left: 0;
visibility: hidden;
}
</style>
</head>
<body>
<div id="designer-host"></div>
<div id="viewer-host"></div>
<script src="resources.js"></script>
<script>
MESCIUS.ActiveReportsJS.Core.FontStore.registerFonts(
"/activereportsjs/demos/resource/fontsConfig.json"
);
const designer = new MESCIUS.ActiveReportsJS.ReportDesigner.Designer(
"#designer-host"
);
designer.setActionHandlers({
onRender: (report) => {
document.getElementById("viewer-host").style.visibility = "visible";
document.getElementById("designer-host").style.visibility = "hidden";
viewer.open(report.definition);
return Promise.resolve();
},
});
designer.setDataSourceTemplates(resources.dataSources);
designer.setResourceProvider({
getImagesList: async () => resources.images,
});
designer.setReport({ id: "reports/initial.rdlx-json" });
var viewer = new MESCIUS.ActiveReportsJS.ReportViewer.Viewer(
"#viewer-host"
);
var designButton = {
key: "$openDesigner",
text: "Edit in Designer",
iconCssClass: "mdi mdi-pencil",
enabled: true,
action: () => {
document.getElementById("viewer-host").style.visibility = "hidden";
document.getElementById("designer-host").style.visibility = "visible";
},
};
viewer.toolbar.addItem(designButton);
viewer.toolbar.updateLayout({
default: [
"$openDesigner",
"$split",
"$navigation",
"$split",
"$refresh",
"$split",
"$history",
"$split",
"$zoom",
"$fullscreen",
"$split",
"$print",
"$split",
"$singlepagemode",
"$continuousmode",
"$galleymode",
],
});
document.getElementById("viewer-host").style.visibility = "hidden";
</script>
</body>
</html>
const resources = {};
resources.dataSource = {
Name: "Northwind",
ConnectionProperties: {
DataProvider: "JSON",
ConnectString: "endpoint=https://demodata.mescius.io/northwind/api/v1",
},
};
resources.categoriesDataSet = {
Name: "Categories",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Categories;jpath=$.[*]",
},
Fields: [
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "categoryName", DataField: "categoryName" },
{ Name: "description", DataField: "description" },
],
};
resources.productsDataSet = {
Name: "Products",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Products;jpath=$.[*]",
},
Fields: [
{ Name: "productId", DataField: "productId" },
{ Name: "productName", DataField: "productName" },
{ Name: "supplierId", DataField: "supplierId" },
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "quantityPerUnit", DataField: "quantityPerUnit" },
{ Name: "unitPrice", DataField: "unitPrice" },
{ Name: "unitsInStock", DataField: "unitsInStock" },
{ Name: "unitsOnOrder", DataField: "unitsOnOrder" },
{ Name: "reorderLevel", DataField: "reorderLevel" },
{ Name: "discontinued", DataField: "discontinued" },
],
};
resources.dataSources = [
{
id: "Northwind",
title: "Northwind",
template: resources.dataSource,
canEdit: false,
datasets: [
{
id: "Categories",
title: "Categories",
template: resources.categoriesDataSet,
canEdit: false,
},
{
id: "Products",
title: "Products",
template: resources.productsDataSet,
canEdit: false,
},
],
},
];
resources.images = [
{
id: "images/ambulance.svg",
displayName: "Ambulance",
mimeType: "image/svg",
},
{
id: "images/bed.svg",
displayName: "Bed",
mimeType: "image/svg",
},
{
id: "images/blooddonation.svg",
displayName: "Blood Donation",
mimeType: "image/svg",
},
{
id: "images/siren.svg",
displayName: "Siren",
mimeType: "image/svg",
},
];
resources.reports = [
{
id: "reports/CustomersTable.rdlx-json",
displayName: "Customers Table",
},
{
id: "reports/TaxiDrives.rdlx-json",
displayName: "Taxi Drive Report",
},
];

import React, { Fragment } from "react";
import ReactDOM from "react-dom";
import { Designer, Viewer } from "@mescius/activereportsjs-react";
import {
dataSources,
images,
} from "./resources";
import { FontStore } from "@mescius/activereportsjs/core";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
function App() {
const [designerVisible, setDesignerVisible] = React.useState(true);
const viewerRef = React.useRef();
function updateToolbar(){
var designButton = {
key: "$openDesigner",
text: "Edit in Designer",
iconCssClass: "mdi mdi-pencil",
enabled: true,
action: () => {
setDesignerVisible(true);
},
};
viewerRef.current.toolbar.addItem(designButton);
viewerRef.current.toolbar.updateLayout({
default: [
"$openDesigner",
"$split",
"$navigation",
"$split",
"$refresh",
"$split",
"$history",
"$split",
"$zoom",
"$fullscreen",
"$split",
"$print",
"$split",
"$singlepagemode",
"$continuousmode",
"$galleymode",
],
});
}
function onReportPreview(report){
updateToolbar();
setDesignerVisible(false);
viewerRef.current.open(report.definition);
return Promise.resolve();
}
return (
<Fragment>
<div id="viewer-host" style={{ display: designerVisible ? "none" : "block" }}>
<Viewer ref={viewerRef} />
</div>
<div id="designer-host" style={{ display: designerVisible ? "block" : "none" }}>
<Designer report={{id: "reports/initial.rdlx-json"}} dataSources={dataSources} imageList={images} onRender={onReportPreview}/>
</div>
</Fragment>);
}
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Predefined Resources Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="index.css" />
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
</body>
</html>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
@import url("https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css");
#designer-host,
#viewer-host {
width: 100%;
height: 550px;
}
export const dataSource = {
Name: "Northwind",
ConnectionProperties: {
DataProvider: "JSON",
ConnectString: "endpoint=https://demodata.mescius.io/northwind/api/v1",
},
};
export const categoriesDataSet = {
Name: "Categories",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Categories;jpath=$.[*]",
},
Fields: [
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "categoryName", DataField: "categoryName" },
{ Name: "description", DataField: "description" },
],
};
export const productsDataSet = {
Name: "Products",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Products;jpath=$.[*]",
},
Fields: [
{ Name: "productId", DataField: "productId" },
{ Name: "productName", DataField: "productName" },
{ Name: "supplierId", DataField: "supplierId" },
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "quantityPerUnit", DataField: "quantityPerUnit" },
{ Name: "unitPrice", DataField: "unitPrice" },
{ Name: "unitsInStock", DataField: "unitsInStock" },
{ Name: "unitsOnOrder", DataField: "unitsOnOrder" },
{ Name: "reorderLevel", DataField: "reorderLevel" },
{ Name: "discontinued", DataField: "discontinued" },
],
};
export const dataSources = [
{
id: "Northwind",
title: "Northwind",
template: dataSource,
canEdit: false,
datasets: [
{
id: "Categories",
title: "Categories",
template: categoriesDataSet,
canEdit: false,
},
{
id: "Products",
title: "Products",
template: productsDataSet,
canEdit: false,
}
]
}
]
export const images = [
{
id: "images/ambulance.svg",
displayName: "Ambulance",
mimeType: "image/svg",
},
{
id: "images/bed.svg",
displayName: "Bed",
mimeType: "image/svg",
},
{
id: "images/blooddonation.svg",
displayName: "Blood Donation",
mimeType: "image/svg",
},
{
id: "images/siren.svg",
displayName: "Siren",
mimeType: "image/svg",
},
];
export const reports = [
{
id: "reports/CustomersTable.rdlx-json",
displayName: "Customers Table",
},
{
id: "reports/TaxiDrives.rdlx-json",
displayName: "Taxi Drive Report",
},
];
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n-ja":
"npm:@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"npm:@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

<template>
<div>
<div
id="designer-host"
:style="{ display: designerHidden ? 'none' : 'block' }"
>
<ReportDesigner
:report="{ id: 'reports/initial.rdlx-json' }"
:onRender="onReportPreview"
:imageList="images"
:dataSources="dataSources"
/>
</div>
<div
id="viewer-host"
:style="{ display: designerHidden ? 'block' : 'none' }"
>
<ReportViewer ref="reportViewer" />
</div>
</div>
</template>
<script>
import { Viewer, Designer } from "@mescius/activereportsjs-vue";
import { dataSources, images } from "./resources.js";
import Core from "@mescius/activereportsjs/core";
import "@mescius/activereportsjs/pdfexport";
import "@mescius/activereportsjs/htmlexport";
import "@mescius/activereportsjs/tabulardataexport";
import "@mescius/activereportsjs/xlsxexport";
import "@mescius/activereportsjs/xlsxadvexport";
export default {
components: {
ReportViewer: Viewer,
ReportDesigner: Designer,
},
data() {
return {
designerHidden: false,
images: images,
dataSources: dataSources,
};
},
methods: {
onDesignerOpen() {
this.designerHidden = false;
},
async onReportPreview(report) {
this.designerHidden = true;
this.$refs.reportViewer.open(report.definition);
},
},
mounted() {
var designButton = {
key: "$openDesigner",
text: "Edit in Designer",
iconCssClass: "mdi mdi-pencil",
enabled: true,
action: () => {
this.designerHidden = false;
},
};
var viewer = this.$refs.reportViewer.Viewer();
viewer.toolbar.addItem(designButton);
viewer.toolbar.updateLayout({
default: [
"$openDesigner",
"$split",
"$navigation",
"$split",
"$refresh",
"$split",
"$history",
"$split",
"$zoom",
"$fullscreen",
"$split",
"$print",
"$split",
"$singlepagemode",
"$continuousmode",
"$galleymode",
],
});
},
};
Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
</script>
<style>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
@import url("https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css");
#designer-host,
#viewer-host {
width: 100%;
height: 550px;
}
</style>
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Predefined Resources Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
System.import("./app.js");
</script>
</head>
<body style="margin: 0">
<div id="app"></div>
</body>
</html>
export const dataSource = {
Name: "Northwind",
ConnectionProperties: {
DataProvider: "JSON",
ConnectString: "endpoint=https://demodata.mescius.io/northwind/api/v1",
},
};
export const categoriesDataSet = {
Name: "Categories",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Categories;jpath=$.[*]",
},
Fields: [
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "categoryName", DataField: "categoryName" },
{ Name: "description", DataField: "description" },
],
};
export const productsDataSet = {
Name: "Products",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Products;jpath=$.[*]",
},
Fields: [
{ Name: "productId", DataField: "productId" },
{ Name: "productName", DataField: "productName" },
{ Name: "supplierId", DataField: "supplierId" },
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "quantityPerUnit", DataField: "quantityPerUnit" },
{ Name: "unitPrice", DataField: "unitPrice" },
{ Name: "unitsInStock", DataField: "unitsInStock" },
{ Name: "unitsOnOrder", DataField: "unitsOnOrder" },
{ Name: "reorderLevel", DataField: "reorderLevel" },
{ Name: "discontinued", DataField: "discontinued" },
],
};
export const dataSources = [
{
id: "Northwind",
title: "Northwind",
template: dataSource,
canEdit: false,
datasets: [
{
id: "Categories",
title: "Categories",
template: categoriesDataSet,
canEdit: false,
},
{
id: "Products",
title: "Products",
template: productsDataSet,
canEdit: false,
},
],
},
];
export const images = [
{
id: "images/ambulance.svg",
displayName: "Ambulance",
mimeType: "image/svg",
},
{
id: "images/bed.svg",
displayName: "Bed",
mimeType: "image/svg",
},
{
id: "images/blooddonation.svg",
displayName: "Blood Donation",
mimeType: "image/svg",
},
{
id: "images/siren.svg",
displayName: "Siren",
mimeType: "image/svg",
},
];
export const reports = [
{
id: "reports/CustomersTable.rdlx-json",
displayName: "Customers Table",
},
{
id: "reports/TaxiDrives.rdlx-json",
displayName: "Taxi Drive Report",
},
];
(function (global) {
SystemJS.config({
transpiler: "systemjs-plugin-babel",
typescriptOptions: {
target: "es2022",
module: "system",
},
baseURL: "./node_modules/",
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json",
],
map: {
vue: "./node_modules/vue/dist/vue.esm-browser.js",
"systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js",
"@mescius/activereportsjs/pdfexport":
"@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-vue":
"@mescius/activereportsjs-vue/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"./reportviewer.js",
"@mescius/activereportsjs/viewer":
"./reportviewer.js",
"@mescius/activereportsjs/reportdesigner":
"./reportdesigner.js",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n":
"@mescius/activereportsjs-i18n/dist/ar-js-locales.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
meta: {
"*.css": { loader: "systemjs-plugin-css" },
"./src/*.vue": { loader: "../plugin-vue/index.js" },
"*.vue": { loader: "./plugin-vue/index.js" },
},
packages: {
"vue-demi": {
defaultExtension: "mjs",
main: "lib/index.mjs",
},
},
});
})(this);

import {
Component,
ViewChild,
} from "@angular/core";
import {
DesignerComponent,
ViewerComponent,
} from "@mescius/activereportsjs-angular";
import { dataSources, images } from "./resources";
import { switchToDesigner, switchToViewer } from "./utils";
@Component({
selector: "app-root",
templateUrl: "src/app.component.html",
styleUrls: ["src/app.component.css"],
})
export class AppComponent {
@ViewChild(ViewerComponent, { static: false }) reportViewer: ViewerComponent;
@ViewChild(DesignerComponent, { static: false })
reportDesigner: DesignerComponent;
designerHidden = false;
firstPreview = true;
imageList = images;
initialReport = { id: "reports/initial.rdlx-json" };
dataSources = dataSources;
updateToolbar(): void {
var designButton = {
key: "$openDesigner",
text: "Edit in Designer",
iconCssClass: "mdi mdi-pencil",
enabled: true,
action: () => {
this.designerHidden = false;
},
};
this.reportViewer.toolbar.addItem(designButton);
this.reportViewer.toolbar.updateLayout({
default: [
"$openDesigner",
"$split",
"$navigation",
"$split",
"$refresh",
"$split",
"$history",
"$split",
"$zoom",
"$fullscreen",
"$split",
"$print",
"$split",
"$singlepagemode",
"$continuousmode",
"$galleymode",
],
});
}
onDesignerOpen() {
switchToDesigner();
this.designerHidden = false;
}
onReportPreview = (report: any) => {
if (this.firstPreview) {
this.updateToolbar();
this.firstPreview = false;
}
switchToViewer();
this.designerHidden = true;
this.reportViewer.open(report.definition);
return Promise.resolve();
};
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
@import url("https://cdn.materialdesignicons.com/2.8.94/css/materialdesignicons.min.css");
#designer-host,
#viewer-host {
width: 100%;
height: 550px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { ReactiveFormsModule } from "@angular/forms";
import {
ActiveReportsModule,
// AR_EXPORTS,
// PdfExportService,
// HtmlExportService,
// TabularDataExportService,
} from "@mescius/activereportsjs-angular";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ActiveReportsModule, ReactiveFormsModule],
providers: [
// {
// provide: AR_EXPORTS,
// useClass: PdfExportService,
// multi: true,
// },
// {
// provide: AR_EXPORTS,
// useClass: HtmlExportService,
// multi: true,
// },
// {
// provide: AR_EXPORTS,
// useClass: TabularDataExportService,
// multi: true,
// },
],
bootstrap: [AppComponent],
})
export class AppModule {}
export const dataSource = {
Name: "Northwind",
ConnectionProperties: {
DataProvider: "JSON",
ConnectString: "endpoint=https://demodata.mescius.io/northwind/api/v1",
},
};
export const categoriesDataSet = {
Name: "Categories",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Categories;jpath=$.[*]",
},
Fields: [
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "categoryName", DataField: "categoryName" },
{ Name: "description", DataField: "description" },
],
};
export const productsDataSet = {
Name: "Products",
Query: {
DataSourceName: "Northwind",
CommandText: "uri=/Products;jpath=$.[*]",
},
Fields: [
{ Name: "productId", DataField: "productId" },
{ Name: "productName", DataField: "productName" },
{ Name: "supplierId", DataField: "supplierId" },
{ Name: "categoryId", DataField: "categoryId" },
{ Name: "quantityPerUnit", DataField: "quantityPerUnit" },
{ Name: "unitPrice", DataField: "unitPrice" },
{ Name: "unitsInStock", DataField: "unitsInStock" },
{ Name: "unitsOnOrder", DataField: "unitsOnOrder" },
{ Name: "reorderLevel", DataField: "reorderLevel" },
{ Name: "discontinued", DataField: "discontinued" },
],
};
export const dataSources = [
{
id: "Northwind",
title: "Northwind",
template: dataSource,
canEdit: false,
datasets: [
{
id: "Categories",
title: "Categories",
template: categoriesDataSet,
canEdit: false,
},
{
id: "Products",
title: "Products",
template: productsDataSet,
canEdit: false,
},
],
},
];
export const images = [
{
id: "images/ambulance.svg",
displayName: "Ambulance",
mimeType: "image/svg",
},
{
id: "images/bed.svg",
displayName: "Bed",
mimeType: "image/svg",
},
{
id: "images/blooddonation.svg",
displayName: "Blood Donation",
mimeType: "image/svg",
},
{
id: "images/siren.svg",
displayName: "Siren",
mimeType: "image/svg",
},
];
export const reports = [
{
id: "reports/CustomersTable.rdlx-json",
displayName: "Customers Table",
},
{
id: "reports/TaxiDrives.rdlx-json",
displayName: "Taxi Drive Report",
},
];
<div id="designer-host" [hidden]="designerHidden">
<gc-activereports-designer
[report]="initialReport"
[dataSources]="dataSources"
[imageList]="imageList"
[onRender]="onReportPreview"
>
</gc-activereports-designer>
</div>
<div id="viewer-host" [hidden]="!designerHidden">
<gc-activereports-viewer >
</gc-activereports-viewer>
</div>
(function (global) {
System.config({
transpiler: "./plugin-typescript.js",
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: "./node_modules/",
meta: {
typescript: {
exports: "ts",
},
"*.css": { loader: "systemjs-plugin-css" },
},
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@angular/*/package.json",
"./node_modules/@mescius/*/package.json",
],
map: {
'typescript': "typescript/lib/typescript.js",
'rxjs': "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: "ts",
},
rxjs: {
defaultExtension: "js",
// "main": "bundles/rxjs.umd.min.js"
},
node_modules: {
defaultExtension: "js",
},
"@angular/core": {
defaultExtension: "mjs",
main: "fesm2022/core.mjs",
},
"@angular/platform-browser": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser.mjs",
},
"@angular/common": {
defaultExtension: "mjs",
main: "fesm2022/common.mjs",
},
"@angular/compiler": {
defaultExtension: "mjs",
main: "fesm2022/compiler.mjs",
},
"@angular/forms": {
defaultExtension: "mjs",
main: "fesm2022/forms.mjs",
},
"@angular/localize": {
defaultExtension: "mjs",
main: "fesm2022/localize.mjs",
},
"@angular/platform-browser-dynamic": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser-dynamic.mjs",
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
},
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Predefined Resources Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
</body>
</html>